<!--
{
  "availability" : [

  ],
  "documentType" : "symbol",
  "framework" : "apple-school-and-business-manager-api",
  "identifier" : "/documentation/AppleBusinessAPI/Update-a-Configuration",
  "metadataVersion" : "0.1.0",
  "role" : "Web Service Endpoint",
  "symbol" : {
    "kind" : "Web Service Endpoint",
    "modules" : [
      "Apple Business API"
    ],
    "preciseIdentifier" : "rest:AppleBusinessAPI:patch:v1-configurations-{}"
  },
  "title" : "Update a Configuration"
}
-->

# Update a Configuration

Update an existing custom Configuration in an organization.

## Overview> Important: Only Configurations with type `CUSTOM_SETTING` can be updated via the API.

> Note: If a `filename` is provided, it must end in `.mobileconfig`. A provided `configurationProfile` is validated and must be compatible with the resolved `configuredForPlatforms` (either from the request or the existing value on the Configuration).

> Note: Only the fields included in the request are updated. One of `name`, `configuredForPlatforms`, `configurationProfile`, or `filename` must be included, and any omitted fields retain their existing values.

### Example

**Request:**

```
curl -X PATCH "https://api-business.apple.com/v1/configurations/{id}" \
    -H "Authorization: Bearer ${ACCESS_TOKEN}" \
    -H "Content-Type: application/json" \
    -d '{
      "data": {
        "type": "configurations",
        "id": "config-12345",
        "attributes": {
          "name": "Updated Wi-Fi Configuration",
          "configuredForPlatforms": ["PLATFORM_IOS", "PLATFORM_MACOS"],
          "customSettingsValues": {
            "configurationProfile": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>...",
            "filename": "WiFi-Updated.mobileconfig"
          }
        }
      }
    }'
```

**Response:**

```json
{
  "data": {
    "type": "configurations",
    "id": "config-12345",
    "attributes": {
      "type": "CUSTOM_SETTING",
      "name": "Updated Wi-Fi Configuration",
      "configuredForPlatforms": [
        "PLATFORM_IOS",
        "PLATFORM_MACOS"
      ],
      "customSettingsValues": {
        "configurationProfile": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>...",
        "filename": "WiFi-Updated.mobileconfig"
      },
      "createdDateTime": "2024-01-15T10:30:00Z",
      "updatedDateTime": "2024-06-15T14:22:00Z"
    },
    "links": {
      "self": "https://api-business.apple.com/v1/configurations/config-12345"
    }
  },
  "links": {
    "self": "https://api-business.apple.com/v1/configurations/config-12345"
  }
}
```

## Topics

### Responses

[`object ConfigurationResponse`](/documentation/AppleBusinessAPI/ConfigurationResponse)

A response that contains information about a Configuration resource.



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)